Subject: Re: bug#26521: sml-mode indentation level problem

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Jul 2019 11:48:41 +0200

Téssio Fechine <[email-masked]> writes:

> The default indentation level of sml-mode is 4 (as appears in Options
> -> Customize Emacs -> Top-level Customization Group -> Programming ->
> Languages -> Sml -> Sml Indent Level), but in a newly installed
> sml-mode 6.7 running on Emacs 25.1.1 (Xubuntu 17.04) it's indenting
> with only 2 spaces.  I tried manually setting it to another value,
> using the Customize Emacs facility, but nothing changes.

I tried this test SML program:

val _ =
    let
	val t = Timer.startCPUTimer()
    in
	count(10000000);
	print (Time.toString(#usr(Timer.checkCPUTimer(t))) ^ "\n")
    end;

and then

(setq sml-indent-level 8)

and reindented:

val _ =
    let
	      val t = Timer.startCPUTimer()
    in
	      count(10000000);
	      print (Time.toString(#usr(Timer.checkCPUTimer(t))) ^ "\n")
    end;

So it seems to work on some bits, but not others?  You'd expect the
"let" etc also to be indented with 8 spaces, but I'm not familiar with
SML (any more).

Perhaps somebody with more knowledge of this could weigh in here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no